org.eclipse.oomph.resources.backend

## Class BackendFolder

- java.lang.Object
- - org.eclipse.oomph.resources.backend.BackendResource
  - - org.eclipse.oomph.resources.backend.BackendContainer
    - - org.eclipse.oomph.resources.backend.BackendFolder

-     public final class BackendFolder
      extends BackendContainer

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.oomph.resources.backend.BackendResource

      `BackendResource.Type, BackendResource.Visitor`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.oomph.resources.backend.BackendResource

      `RESOURCE_SCHEME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `doVisit(BackendContainer backendContainer, BackendResource.Visitor visitor, IProgressMonitor monitor)`
    `BackendResource.Type` | `getType()`

    - ### Methods inherited from class org.eclipse.oomph.resources.backend.BackendContainer

      `findMember, findMember, findMember, getFile, getFile, getFile, getFolder, getFolder, getFolder, getMembers, importIntoWorkspace`

    - ### Methods inherited from class org.eclipse.oomph.resources.backend.BackendResource

      `accept, equals, exists, get, get, getAbsoluteURI, getDelegate, getLastModified, getLocation, getName, getParent, getRelativePath, getRelativeURI, getSystem, getSystemRelativePath, getSystemRelativeURI, hashCode, isContainer, isLocal, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getType

          public BackendResource.Type getType()

      Specified by:
        `getType` in class `BackendResource`

    - #### doVisit

          protected boolean doVisit(BackendContainer backendContainer,
                        BackendResource.Visitor visitor,
                        IProgressMonitor monitor)
                             throws BackendException,
                                    OperationCanceledException

      Specified by:
        `doVisit` in class `BackendContainer`
      Throws:
        `BackendException`
        `OperationCanceledException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html